C
C       DIRECTIVE WITH TYPE STATEMENTS OF ALL THE APPLICATION INTERFACE
C                                 FUNCTIONS
C
C Predefined INTEGER constants
      INTEGER ABSENT,NORMAL,FREE,PARA,MISC_1,MISC_2
      INTEGER MINIMAL,BRIEF,DEFAULT,MOLE_TABLE,WEIGHT_TABLE,PHASE_TABLE
      INTEGER BOTH_LARGE,ONE_ONLY,TWO_ONLY,BOTH_SMALL,ROBUST,ONE_PLUS
      INTEGER READ_IN,AUTO,PREVIOUS,LOWER,LAST
      INTEGER INITIAL, ACTIVE
      PARAMETER(ABSENT=0,NORMAL=1,FREE=-1,PARA=3,MISC_1=-1,MISC_2=-2)
      PARAMETER(MINIMAL=-2,BRIEF=-1,DEFAULT=0,MOLE_TABLE=19,
     1         WEIGHT_TABLE=29,PHASE_TABLE=9)
      PARAMETER(BOTH_LARGE=0,ONE_ONLY=1,TWO_ONLY=2,BOTH_SMALL=3,ROBUST=4
     1                      ,ONE_PLUS=5)
      PARAMETER(READ_IN=0,AUTO=1,PREVIOUS=2,LOWER=3,LAST=4)
      PARAMETER(INITIAL=1,ACTIVE=2)
C
      DOUBLE PRECISION MT_GETNUM    
C
      DOUBLE PRECISION GAS_CONSTANT
      DOUBLE PRECISION TEMPERATURE
      DOUBLE PRECISION PRESSURE
      DOUBLE PRECISION VOLUME_OF_GAS
      DOUBLE PRECISION INIT_COMPONENT_MOLES
      DOUBLE PRECISION ACT_COMPONENT_MOLES
      DOUBLE PRECISION INIT_COMPONENT_MASS
      DOUBLE PRECISION ACT_COMPONENT_MASS
      DOUBLE PRECISION MOLAR_MASS
      DOUBLE PRECISION TEMPERATURE_RANGE_START
      DOUBLE PRECISION TEMPERATURE_RANGE_END
      DOUBLE PRECISION TEMPERATURE_RANGE_TOLERANCE
      DOUBLE PRECISION PRESSURE_RANGE_START
      DOUBLE PRECISION PRESSURE_RANGE_END
      DOUBLE PRECISION PRESSURE_RANGE_TOLERANCE
      DOUBLE PRECISION PHASE_BOUNDARY_TEMPERATURE
      DOUBLE PRECISION PHASE_BOUNDARY_PRESSURE
      DOUBLE PRECISION PHASE_BOUNDARY_LOG_PRESSURE
      DOUBLE PRECISION PHASE_BOUNDARY_COMPOSITION
      DOUBLE PRECISION SPECIES_MOLES_IN_PHASE
      DOUBLE PRECISION SPECIES_MOLES_IN_SYSTEM
      DOUBLE PRECISION COMPONENT_MOLES_IN_PHASE
      DOUBLE PRECISION SPECIES_MASS_IN_PHASE
      DOUBLE PRECISION SPECIES_MASS_IN_SYSTEM
      DOUBLE PRECISION COMPONENT_MASS_IN_PHASE
      DOUBLE PRECISION COMPONENT_X_OF_PHASE
      DOUBLE PRECISION COMPONENT_W_OF_PHASE
      DOUBLE PRECISION MOLES_OF_SPECIES_IN_PHASE
      DOUBLE PRECISION MOLES_OF_COMPONENTS_IN_PHASE
      DOUBLE PRECISION MASS_IN_PHASE
      DOUBLE PRECISION COMPONENT_FRACTION_IN PHASE
      DOUBLE PRECISION PHASE_FIELD_COMPOSITION
      DOUBLE PRECISION GROUP_COMPOSITION
      DOUBLE PRECISION GROUP_COMPOSITION_START
      DOUBLE PRECISION GROUP_COMPOSITION_END
      DOUBLE PRECISION MOLES_OF_SYSTEM
      DOUBLE PRECISION MASS_OF_SYSTEM
      DOUBLE PRECISION SUM_OF_COMPONENT_MASS
      DOUBLE PRECISION SUM_OF_COMPONENT_AMOUNT
      DOUBLE PRECISION SYSTEM_GIBBS_ENERGY
      DOUBLE PRECISION PARTIAL_SYSTEM_GIBBS_ENERGY
      DOUBLE PRECISION REF_SYSTEM_GIBBS_ENERGY
      DOUBLE PRECISION REF_PARTIAL_SYSTEM_GIBBS_ENERGY
      DOUBLE PRECISION SYSTEM_ENTHALPY
      DOUBLE PRECISION ENTHALPY_OF_PHASE
      DOUBLE PRECISION GIBBS_ENERGY_OF_PHASE
      DOUBLE PRECISION SYSTEM_ENTROPY
      DOUBLE PRECISION SYSTEM_VOLUME
      DOUBLE PRECISION VOLUME_OF_PHASE
      DOUBLE PRECISION SYSTEM_CP
      DOUBLE PRECISION SYSTEM_CV
      DOUBLE PRECISION SYSTEM_EXPANSIVITY
      DOUBLE PRECISION SYSTEM_COMPRESSIBILITY
      DOUBLE PRECISION SYSTEM_HELMHOLTZ_ENERGY
      DOUBLE PRECISION SYSTEM_INTERNAL_ENERGY
      DOUBLE PRECISION INIT_UNARY_TMIN
      DOUBLE PRECISION INIT_UNARY_TMAX
      DOUBLE PRECISION PH_ACTIVITY
      DOUBLE PRECISION PHASE_PRESENT_REL_TOL

C
      INTEGER INIT_NO_OF_COMPONENTS
      INTEGER INIT_NO_OF_PHASES
      INTEGER INIT_NO_OF_SPECIES
      INTEGER INIT_NO_OF_SPECIES_IN_PHASE
      INTEGER ACT_NO_OF_COMPONENTS
      INTEGER ACT_NO_OF_PHASES
      INTEGER ACT_NO_OF_SPECIES
      INTEGER ACT_NO_OF_SPECIES_IN_PHASE
      INTEGER EQUIL_NO_OF_PHASES
      INTEGER EQUIL_NO_OF_SPECIES
      INTEGER EQUIL_NO_OF_SPECIES_IN_PHASE
      INTEGER INIT_COMPONENT_CLASS
      INTEGER ACT_COMPONENT_CLASS
      INTEGER INIT_PHASE_CLASS
      INTEGER ACT_PHASE_CLASS
      INTEGER INIT_SPECIES_CLASS
      INTEGER ACT_SPECIES_CLASS
      INTEGER INIT_COMPONENT_NO
      INTEGER INIT_PHASE_NO
      INTEGER INIT_SPECIES_NO
      INTEGER ACT_COMPONENT_NO
      INTEGER ACT_PHASE_NO
      INTEGER ACT_SPECIES_NO
      INTEGER EQUIL_PHASE_NO
      INTEGER EQUIL_SPECIES_NO
      INTEGER PHASE_PRESENT_AT_EQUILIBRIUM
      INTEGER BOUNDARY_NO_OF_PHASES
      INTEGER BOUNDARY_PHASE_NO
	INTEGER LOW_BOUNDARY_NO_OF_PHASES
	INTEGER LOW_BOUNDARY_PHASE_NO
	INTEGER HIGH_BOUNDARY_NO_OF_PHASES
	INTEGER HIGH_BOUNDARY_PHASE_NO
      INTEGER SCREEN
      INTEGER RESULTS_FILE
      INTEGER PRINT_LEVEL
      INTEGER MESSAGE_LEVEL
      INTEGER INIT_POINT_OPTION
      INTEGER STAGES_REQUIRED
      INTEGER NO_OF_GROUP_STEPS
      INTEGER COMPOSITION_GROUP_NO
      INTEGER INIT_PHASE_TYPE
      INTEGER INIT_NO_OF_UNARIES_IN_PHASE
      INTEGER INIT_NO_OF_UNARIES_IN_SYSTEM
      INTEGER REF_COMPONENT_CLASS
C
      LOGICAL UNDEFINED
      LOGICAL USER_ABORT
      LOGICAL TEST_ERROR
      LOGICAL NORMAL_INIT_COMPONENT
      LOGICAL NORMAL_ACT_COMPONENT
      LOGICAL NORMAL_INIT_PHASE
      LOGICAL NORMAL_ACT_PHASE
      LOGICAL NORMAL_INIT_SPECIES
      LOGICAL NORMAL_ACT_SPECIES
      LOGICAL IMISC_INIT_PHASE
      LOGICAL IMISC_ACT_PHASE
      LOGICAL FREE_INIT_COMPONENT
      LOGICAL FREE_ACT_COMPONENT
      LOGICAL ABSENT_INIT_COMPONENT
      LOGICAL ABSENT_INIT_PHASE
      LOGICAL ABSENT_INIT_SPECIES
      LOGICAL FIXED_INIT_SPECIES
      LOGICAL FIXED_ACT_SPECIES
      LOGICAL TEMPERATURE_RANGE
      LOGICAL PRESSURE_RANGE
      LOGICAL COMPOSITION_RANGE
C
      CHARACTER*20 INIT_COMPONENT_NAME
      CHARACTER*20 INIT_PHASE_NAME
      CHARACTER*20 INIT_SPECIES_NAME
      CHARACTER*20 ACT_COMPONENT_NAME
      CHARACTER*20 ACT_PHASE_NAME
      CHARACTER*20 ACT_SPECIES_NAME
      CHARACTER*20 EQUIL_PHASE_NAME
      CHARACTER*20 EQUIL_SPECIES_NAME
      CHARACTER*20 REFERENCE_PHASE
      CHARACTER*20 GROUP_NAME_START
      CHARACTER*20 GROUP_NAME_END
      CHARACTER*20 COMPOSITION_GROUP_NAME
      CHARACTER*80 DATA_FILE_NAME
      CHARACTER*80 RESULTS_FILE_NAME
      CHARACTER*80 ISOPLETH_FILE_NAME
      CHARACTER*80 TRISECT_FILE_NAME
      CHARACTER*80 CONTOUR_FILE_NAME
      CHARACTER*80 LIQUIDUS_FILE_NAME
      CHARACTER*80 PRESSUREX_FILE_NAME      
      CHARACTER*80 LOG_FILE_NAME
      CHARACTER*80 INIT_UNARY_NAME
      CHARACTER*20 INIT_UNARY_SOURCE
C
